# Class WorkingSetMenuContributionItem

java.lang.Object
org.eclipse.jface.action.ContributionItem
org.eclipse.ui.internal.WorkingSetMenuContributionItem

All Implemented Interfaces:
  `IContributionItem`

public class WorkingSetMenuContributionItem extends ContributionItem
Menu contribution item which shows a working set.

Since:
  2.1

## Constructor Summary

Constructors
Constructor
Description
`WorkingSetMenuContributionItem(int id, WorkingSetFilterActionGroup actionGroup, IWorkingSet workingSet)`
Creates a new instance of the receiver.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
The default implementation of this `IContributionItem` method does nothing.
`void`
`fill(Menu menu, int index)`
Adds a menu item for the working set.
`static String`
`getId(int id)`
Returns the id of this menu contribution item
`boolean`
`isDynamic()`
Overridden to always return true and force dynamic menu building.

### Methods inherited from class ContributionItem

`fill, fill, fill, getId, getParent, isDirty, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setParent, setVisible, toString, update, update`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WorkingSetMenuContributionItem

public WorkingSetMenuContributionItem(int id, WorkingSetFilterActionGroup actionGroup, IWorkingSet workingSet)
Creates a new instance of the receiver.

Parameters:
  `id` - sequential id of the new instance
  `actionGroup` - the action group this contribution item is created in

## Method Details

### getId

public static String getId(int id)
Returns the id of this menu contribution item

Parameters:
  `id` - numerical id
Returns:
  String string id

### fill

public void fill(Menu menu, int index)
Adds a menu item for the working set. Overrides method from ContributionItem.

Specified by:
  `fill` in interface `IContributionItem`
Overrides:
  `fill` in class `ContributionItem`
Parameters:
  `menu` - the parent menu
  `index` - the index where the controls are inserted, or `-1` to insert at the end
See Also:
  - `ContributionItem.fill(Menu,int)`

### isDynamic

public boolean isDynamic()
Overridden to always return true and force dynamic menu building.

Specified by:
  `isDynamic` in interface `IContributionItem`
Overrides:
  `isDynamic` in class `ContributionItem`
Returns:
  `true` if this item is dynamic, and `false` for normal items

### dispose

public void dispose()
Description copied from class: `ContributionItem`
The default implementation of this `IContributionItem` method does nothing. Subclasses may override.

Specified by:
  `dispose` in interface `IContributionItem`
Overrides:
  `dispose` in class `ContributionItem`